## staden 2.0.0%2Bb10

=== copy_reads/Makefile ===
LIBS = copy_reads
PROGS = cplib
PROGLIBS= $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

# Local comment: Comment out next line for remote compilation

INCLUDES_E := $(MISC_INC) $(GAP4_INC) $(G_INC) $(TK_INC) \
	      $(IOLIB_INC) $(TKUTILS_INC) $(SEQUTILS_INC) $(P3_INC) $(INCLUDES_E)
CFLAGS += $(SHLIB_CFLAGS)
FFLAGS += $(SHLIB_FFLAGS)

OBJS=\
	copy_reads_globals.o\
	copy_reads.o

COPIER_LIB=\
	$(IOLIB_LIB) \
	$(TK_LIB) \
	$(SEQUTILS_LIB) \
	$(TKUTILS_LIB) \
	$(MISC_LIB) \
	$(GAP_LIB)

cplib : $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)
	-@

$(L)/$(SHLIB_PREFIX)$(LIBS).def: $(OBJS)
	$(MKDEFL) $@ $(OBJS)

$(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX): $(OBJS) $(DEF_FILE) $(L)/.dir
	-$(SHLIB_LD) $(SHLIB_LDFLAGS) $(SHLIB_OUTFLAG)$@ $(SHLIB_SONAME) $(OBJS) $(COPIER_LIB) $(SHLIB_DEP) $(F77_DEP)


install:
	-mkdir $(INSTALLTCL)/copy_reads
	$(INSTALL) copy_reads $(INSTALLBIN)
	cp $(S)/copy_reads.tcl $(S)/copy_reads_main.tcl $(S)/tclIndex $(INSTALLTCL)/copy_reads
	cp $(PROGLIBS) $(INSTALLLIB)
	cp $(S)/copy_readsrc $(INSTALLETC)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/*.tcl $(S)/tclIndex $(S)/copy_reads.in \
	   $(S)/Makefile $(S)/copy_readsrc $(DIRNAME)

DEPEND_OBJ = $(OBJS)

# DO NOT DELETE THIS LINE -- make depend depends on it.

copy_reads.o: $(PWD)/staden_config.h

=== make_weights/Makefile ===
#
# Makefile for make_weights
#

PROGS = make_weights

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E += $(SEQUTILS_INC) $(MISC_INC) $(TEXTUTILS_INC)

#EXTRA_LIBS += -ldmalloc

OBJS	= make_weights.o

HLIBS=\
	$(SEQUTILS_LIB) \
	$(TEXTUTILS_LIB) \
	$(MISC_LIB) \
	$(MATH_LIB) \
	$(IOLIB_LIB)
	


make_weights: $(OBJS) $(DEPS)
	$(CLD) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(OBJS) $(HLIBS) $(LIBSC) 
#	purify $(CLD) -o $@ $(OBJS) $(HLIBS) $(LIBSC) 



DEPEND_OBJ = $(OBJS)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/Makefile $(DIRNAME)

install:
	cp $(PROGS) $(INSTALLBIN)

# DO NOT DELETE THIS LINE -- make depend depends on it

make_weights.o: $(PWD)/staden_config.h

=== spin/Makefile ===
#
# Makefile for spin routines
#

LIBS = spin
PROGS = lib$(LIBS) 
PROGLIBS=$(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E += $(MISC_INC) $(TK_INC)  $(TKUTILS_INC) $(SEQUTILS_INC) $(IOLIB_INC)
CFLAGS += $(SHLIB_CFLAGS)

OBJS = \
	seq_reg.o \
	seq_reg_cmds.o \
	raster_cmds.o \
	seq_raster.o \
	sequtils.o \
	seq_results.o \
	seq_sendto.o \
	spin_globals.o \
	seq_plot_funcs.o\
	seqed.o\
	tkSeqed.o \
	tkSeqedUtils.o \
	tkSeqedNames.o \
	seqed_write.o \
	seqedInterface.o\
	seqed_translate.o\
	seqed_restriction_enzymes.o\
	seqed_search.o\
	sequence_pair_display.o\
	emboss_input_funcs.o \
	readpam.o\
	compare_spans.o \
	sip_hash.o \
	sip_similar_spans.o\
	sip_find_identity.o\
	sip_quick_scan.o\
	sip_align.o \
	sip_globals.o \
	sip_cmds.o \
	sip_results.o \
	rescan_matches.o \
	probs.o \
	sim.o \
	sip_sim.o\
	init.o\
	nip_globals.o \
	nip_cmds.o \
	nip_base_comp.o \
	nip_gene_search.o \
	nip_trna_search.o\
	codon_content.o \
	nip_stop_codon.o \
	trna_search.o \
	splice_search.o \
	nip_splice_search.o \
	nip_string_search.o \
	nip_wtmatrix_search.o \
	nip_restriction_enzymes.o\
	nip_canvas_box.o\
	dinuc_freqs.o

#
# Main dependency
#
lib$(LIBS) : $(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX)
	@

DEPS = $(TK_LIB) \
       $(IOUTILS_LIB) \
       $(TKUTILS_LIB) \
       $(SEQUTILS_LIB) \
       $(MISC_LIB)


$(L)/$(SHLIB_PREFIX)$(LIBS)$(SHLIB_SUFFIX): $(OBJS) $(DEF_FILE) $(L)/.dir
	$(SHLIB_LD) $(SHLIB_LDFLAGS) $(SHLIB_OUTFLAG)$@ $(SHLIB_SONAME) $(OBJS) $(DEPS)

# 7/1/99 johnt - Rule used when $(DEF_FILE) defined - currently only for windows
$(L)/$(SHLIB_PREFIX)$(LIBS).def: $(OBJS)
	$(MKDEFL) $@ $(OBJS)


DEPEND_OBJ = $(OBJS)

distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/*.tcl $(S)/tclIndex $(DIRNAME)
	cp $(S)/Makefile $(S)/spin.in $(S)/spin.bat $(DIRNAME)
	cp $(S)/*.wts $(S)/niprc $(S)/siprc $(S)/spinrc $(DIRNAME)

install:
	$(INSTALL) spin $(INSTALLBIN)
	-mkdir $(INSTALLTCL)/spin
	cp $(S)/*.tcl $(S)/tclIndex $(INSTALLTCL)/spin
	cp $(PROGLIBS) $(INSTALLLIB)
	cp $(S)/*.wts $(S)/niprc $(S)/siprc $(S)/spinrc $(INSTALLETC)

# DO NOT DELETE THIS LINE -- make depend depends on it.

codon_content.o: $(PWD)/staden_config.h
compare_spans.o: $(PWD)/staden_config.h
emboss_input_funcs.o: $(PWD)/staden_config.h
nip_base_comp.o: $(PWD)/staden_config.h
nip_canvas_box.o: $(PWD)/staden_config.h
nip_cmds.o: $(PWD)/staden_config.h
nip_gene_search.o: $(PWD)/staden_config.h
nip_restriction_enzymes.o: $(PWD)/staden_config.h
nip_splice_search.o: $(PWD)/staden_config.h
nip_stop_codon.o: $(PWD)/staden_config.h
nip_string_search.o: $(PWD)/staden_config.h
nip_trna_search.o: $(PWD)/staden_config.h
nip_wtmatrix_search.o: $(PWD)/staden_config.h
probs.o: $(PWD)/staden_config.h
raster_cmds.o: $(PWD)/staden_config.h
readpam.o: $(PWD)/staden_config.h
rescan_matches.o: $(PWD)/staden_config.h
seq_plot_funcs.o: $(PWD)/staden_config.h
seq_raster.o: $(PWD)/staden_config.h
seq_reg.o: $(PWD)/staden_config.h
seq_reg_cmds.o: $(PWD)/staden_config.h
seq_results.o: $(PWD)/staden_config.h
seq_sendto.o: $(PWD)/staden_config.h
seqed.o: $(PWD)/staden_config.h
seqed_restriction_enzymes.o: $(PWD)/staden_config.h
seqed_search.o: $(PWD)/staden_config.h
sequence_pair_display.o: $(PWD)/staden_config.h
sequtils.o: $(PWD)/staden_config.h
sim.o: $(PWD)/staden_config.h
sip_align.o: $(PWD)/staden_config.h
sip_cmds.o: $(PWD)/staden_config.h
sip_find_identity.o: $(PWD)/staden_config.h
sip_globals.o: $(PWD)/staden_config.h
sip_hash.o: $(PWD)/staden_config.h
sip_quick_scan.o: $(PWD)/staden_config.h
sip_results.o: $(PWD)/staden_config.h
sip_sim.o: $(PWD)/staden_config.h
sip_similar_spans.o: $(PWD)/staden_config.h
splice_search.o: $(PWD)/staden_config.h
tkSeqed.o: $(PWD)/staden_config.h
tkSeqedNames.o: $(PWD)/staden_config.h
tkSeqedUtils.o: $(PWD)/staden_config.h
trna_search.o: $(PWD)/staden_config.h

=== tracediff/Makefile ===
#
# Makefile for tracediff
#

PROGS = tracediff

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk


INCLUDES_E += $(MISC_INC) $(IOLIB_INC) $(MUT_INC)


HLIBS=\
	$(MUT_LIB) \
	$(IOLIB_LIB) \
	$(SEQUTILS_LIB) \
	$(TEXTUTILS_LIB) \
	$(MISC_LIB)	

OBJSD	= main.o


tracediff: $(OBJSD)
	$(CXXLD) $(CXXLDFLAGS) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(SUBSYSTEMCONSOLE) $(OBJSD) $(HLIBS) $(LIBSC)


pathutil.cpp:
	ln -s ../mutlib/pathutil.cpp .

pathutil.h:
	ln -s ../mutlib/pathutil.h .

stringlist.cpp:
	ln -s ../mutlib/stringlist.cpp .

stringlist.hpp:
	ln -s ../mutlib/stringlist.hpp .


distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/*.[ch]pp $(S)/Makefile $(DIRNAME)

install:
	cp $(PROGS) $(INSTALLBIN)

DEPEND_OBJ = $(OBJSD)

# DO NOT DELETE THIS LINE -- make depend depends on it.

main.o: $(PWD)/staden_config.h

=== debian/rules ===
#!/usr/bin/make -f

## DEB_BUILD_ARCH or DEB_BUILD_ARCH_BITS ??
BITARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ifeq ($(BITARCH),64)
    enable64bit:=--enable-64bit
else
    enable64bit:=
endif

%:
	dh $@

## Try to deal with multi-arch libraries ... this does not help
# override_dh_auto_build:
#	env LD_LIBRARY_PATH="$(CURDIR)/lib/$(DEB_HOST_MULTIARCH)" dh_auto_build

## Try to deal with multi-arch libraries by disabling rpath ... which does not work as expected
#override_dh_auto_configure:
#	dh_auto_configure -- --disable-rpath

override_dh_auto_configure:
	dh_auto_configure -- $(enable64bit) \
		--with-itcl=/usr/lib/tcltk/$(DEB_HOST_MULTIARCH) \
		--with-itk=/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install
	# Remove file causing lintian errors that is targeting at windows
	find debian -name help_windows.tcl -delete
	# Remove some empty directories
	find debian -type d -empty -name acdtcl -delete
	find debian -type d -empty -name templates -delete
	# Build system is not prepared for multi-arch
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/* $(CURDIR)/debian/tmp/usr/lib
	rmdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
	make spotless || true
	rm -f config.log config.status
	rm -f Makefile shlib.conf staden_config.h system.mk
	find -name debian -prune -o -name .dir -exec rm '{}' ';'

override_dh_fixperms:
	dh_fixperms
	# scripts should be executable
	chmod a+x debian/*/usr/share/staden/tcl/gap5/contig_graph.tcl
	chmod a+x debian/*/usr/share/staden/tcl/gap5/gap5_cmd.tcl
	chmod a+x debian/*/usr/share/staden/tcl/prefinish/add_stops.tcl
	chmod a+x debian/*/usr/share/staden/tcl/prefinish/finish_sanger.tcl
	chmod a+x debian/*/usr/share/staden/tcl/tk_utils/help_ext.tcl
	chmod a+x debian/*/usr/share/staden/tcl/tk_utils/help_galeon.tcl
	chmod a+x debian/*/usr/share/staden/tcl/tk_utils/help_int.tcl
	chmod a+x debian/*/usr/share/staden/tcl/tk_utils/help_netscape.tcl

## staden 2.0.0%2Bb11

=== hetins/Makefile ===
#
# Makefile for hetins
#

PROGS = hetins

SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

INCLUDES_E += $(MISC_INC) $(IOLIB_INC) $(HETINS_INC)


HLIBS=\
	$(MISC_LIB) \
	$(IOLIB_LIB)

OBJSD	= hetins.o


hetins: $(OBJSD)
	$(CXXLD) $(CXXLDFLAGS) $(LDEXEFLAG)$@$(EXE_SUFFIX) $(SUBSYSTEMCONSOLE) $(OBJSD) $(HLIBS) $(LIBSC)


distsrc: distsrc_dirs
	cp $(S)/*.[ch] $(S)/Makefile $(DIRNAME)

install:
	cp $(PROGS) $(INSTALLBIN)

DEPEND_OBJ = $(OBJS) $(OBJS) $(OBJSA)

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== pregap4/Makefile ===
SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

all:
	@echo Nothing to build for Pregap4.

clean:
	@echo Nothing to clean for Pregap4.


cleanprogs:


cleanlibs:


spotless: clean cleanprogs cleanlibs



.PHONY: distsrc install
distsrc: distsrc_dirs
	cp $(S)/Makefile $(S)/*.tcl $(S)/*.xbm $(S)/tclIndex $(S)/pregap4.in \
	   $(S)/pregap4.bat $(S)/widget_licence $(S)/pregap4rc $(DIRNAME)
	-mkdir $(DIRNAME)/modules
	cp $(S)/modules/*.p4m $(DIRNAME)/modules
	-mkdir $(DIRNAME)/templates
	-cp $(S)/templates/*.p4t $(DIRNAME)/templates
	-mkdir $(DIRNAME)/naming_schemes
	cp $(S)/naming_schemes/*.p4t $(DIRNAME)/naming_schemes

S=$(SRCROOT)/pregap4
install:
	$(INSTALL) pregap4 $(INSTALLBIN)/pregap4
	-mkdir $(INSTALLTCL)/pregap4
	cp $(S)/*.tcl $(S)/widget_licence $(S)/tclIndex $(INSTALLTCL)/pregap4
	-mkdir $(INSTALLTCL)/pregap4/modules
	-mkdir $(INSTALLTCL)/pregap4/templates
	-mkdir $(INSTALLTCL)/pregap4/naming_schemes
	cp $(S)/modules/*.p4m $(INSTALLTCL)/pregap4/modules
	-cp $(S)/templates/*.p4t $(INSTALLTCL)/pregap4/templates
	cp $(S)/naming_schemes/*.p4t $(INSTALLTCL)/pregap4/naming_schemes
	cp $(S)/pregap4rc $(INSTALLETC)

=== spin_emboss/Makefile ===
SRCROOT=$(SRC)/..
include $(SRCROOT)/global.mk
include ../system.mk

all:
	@echo Nothing to build for spin_emboss.

clean:
	@echo Nothing to clean for spin_emboss.

cleanprogs:
cleanlibs:
spotless: clean cleanprogs cleanlibs

.PHONY: distsrc install acdtcl

ACDDIR=parser/acd
acdtcl:
	stash create_emboss_files.tcl

distsrc: distsrc_dirs
	cp $(S)/Makefile $(S)/*.tcl $(S)/tclIndex $(S)/create_emboss_files \
	   $(S)/emboss_menu $(S)/spin_embossrc $(DIRNAME)

install:
	-mkdir $(INSTALLTCL)/spin_emboss
	cp $(S)/*.tcl $(S)/tclIndex $(INSTALLTCL)/spin_emboss
	cp $(S)/create_emboss_files $(INSTALLBIN)
	-mkdir $(INSTALLTCL)/spin_emboss/acdtcl
	-cp $(S)/acdtcl/* $(INSTALLTCL)/spin_emboss/acdtcl
	cp $(S)/emboss_menu $(S)/spin_embossrc $(INSTALLETC)

=== debian/control ===
Source: staden
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libstaden-read-dev,
               itcl3-dev,
               itk3-dev,
               zlib1g-dev,
               libbz2-dev,
               liblzma-dev,
               tcl-dev,
               tk-dev,
               tklib,
               libpng-dev,
               libncurses-dev,
               iwidgets4,
               libcurl4-gnutls-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/staden
Vcs-Git: https://salsa.debian.org/med-team/staden.git
Homepage: https://sourceforge.net/projects/staden/

Package: staden
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         staden-common (= ${source:Version}),
         staden-io-lib-utils,
         tklib
Recommends: med-config
Description: DNA sequence assembly (Gap4/Gap5), editing and analysis tools
 Staden is a fully developed set of DNA sequence assembly (Gap4 and
 Gap5), editing and analysis tools (Spin).
 .
 Gap4 performs sequence assembly, contig ordering based on read pair
 data, contig joining based on sequence comparisons, assembly checking,
 repeat searching, experiment suggestion, read pair analysis and contig
 editing. It has graphical views of contigs, templates, readings and
 traces which all scroll in register. Contig editor searches and
 experiment suggestion routines use confidence values to calculate the
 confidence of the consensus sequence and hence identify only places
 requiring visual trace inspection or extra data. The result is
 extremely rapid finishing and a consensus of known accuracy.
 .
 Pregap4 provides a graphical user interface to set up the processing
 required to prepare trace data for assembly or analysis, and automates
 these processes.
 .
 Trev is a rapid and flexible viewer and editor for ABI, ALF, SCF and
 ZTR trace files.
 .
 Prefinish analyses partially completed sequence assemblies and suggests
 the most efficient set of experiments to help finish the project.
 .
 Tracediff and hetscan automatically locate mutations by comparing trace
 data against reference traces. They annotate the mutations found ready
 for viewing in gap4.
 .
 Spin analyses nucleotide sequences to find genes, restriction sites,
 motifs, etc. It can perform translations, find open reading frames,
 count codons, etc. Many results are presented graphically and a sliding
 sequence window is linked to the graphics cursor. Spin also compares
 pairs of sequences in many ways. It has very rapid dot matrix analysis,
 global and local alignment algorithms, plus a sliding sequence window
 linked to the graphical plots. It can compare nucleic acid against
 nucleic acid, protein against protein, and protein against nucleic
 acid.

Package: staden-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         tk8.6 | wish
Recommends: ksh | zsh
Description: Architecture independent files for Staden
 Staden is a fully developed set of DNA sequence assembly (Gap4 and
 Gap5), editing and analysis tools (Spin).
 .
 Gap4 performs sequence assembly, contig ordering based on read pair
 data, contig joining based on sequence comparisons, assembly checking,
 repeat searching, experiment suggestion, read pair analysis and contig
 editing. It has graphical views of contigs, templates, readings and
 traces which all scroll in register. Contig editor searches and
 experiment suggestion routines use confidence values to calculate the
 confidence of the consensus sequence and hence identify only places
 requiring visual trace inspection or extra data. The result is
 extremely rapid finishing and a consensus of known accuracy.
 .
 Pregap4 provides a graphical user interface to set up the processing
 required to prepare trace data for assembly or analysis, and automates
 these processes.
 .
 Trev is a rapid and flexible viewer and editor for ABI, ALF, SCF and
 ZTR trace files.
 .
 Prefinish analyses partially completed sequence assemblies and suggests
 the most efficient set of experiments to help finish the project.
 .
 Tracediff and hetscan automatically locate mutations by comparing trace
 data against reference traces. They annotate the mutations found ready
 for viewing in gap4.
 .
 Spin analyses nucleotide sequences to find genes, restriction sites,
 motifs, etc. It can perform translations, find open reading frames,
 count codons, etc. Many results are presented graphically and a sliding
 sequence window is linked to the graphics cursor. Spin also compares
 pairs of sequences in many ways. It has very rapid dot matrix analysis,
 global and local alignment algorithms, plus a sliding sequence window
 linked to the graphical plots. It can compare nucleic acid against
 nucleic acid, protein against protein, and protein against nucleic
 acid.
 .
 This package contains the architecture independent data files and
 scripts that come with the Staden package.
